//------------------------------------------------------------------------------
//
// ADOBE SYSTEMS INCORPORATED
// Copyright 2000-2002 Adobe Systems Incorporated 
// All Rights Reserved
//
// NOTICE: Adobe permits you to use, modify, and distribute 
// this file in accordance with the terms of the Adobe license 
// agreement accompanying it. If you have received this file 
// from a source other than Adobe, then your use, modification, 
// or distribution of it requires the prior written permission 
// of Adobe.
//
//------------------------------------------------------------------------------

function setA(control, box)
{				
	switch (control.name) {
	case "ctlAID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id");
		break;
		
	case "ctlAClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
		
	case "ctlATitle": 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title");
		break;
		
	case "ctlAXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;
		
	// href required. don't delete attribute value "(EmptyReference!)"	
	case "ctlAhref":	
		control.value ? box.element.setAttribute("href", box [control.name].url) : box.element.deleteAttribute("href");
		break;
			
	// href required. don't delete attribute value "(EmptyReference!)"			
	case "ctlA11href":
		control.value ? box.element.setAttribute("href", box ["ctlAhref"].url) :	box.element.deleteAttribute("href");
		break;
		
	case "ctlAAccess":
		control.value ? box.element.setAttribute("accesskey", control.value) : box.element.deleteAttribute("accesskey");
		break;	
						
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);		
		break;	
	}			
}
					
function setAnchor(control, box)
{					
	switch (control.name) {
	case "ctlAnchorID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlAnchorClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlAnchorXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;													
	case "ctlAnchorTitle": 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title");
		break;	
	case "ctlAnchorAccess":
		control.value ? box.element.setAttribute("accesskey", control.value) : box.element.deleteAttribute("accesskey");
		break;							
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}
}

function setCard (control, box) 
{
	switch (control.name) {
	case "classCard": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class");
		break;
	case "cXMLLang":		
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;
	// URLGetters need special treatment
	case "onenterforward": 
	case "onenterbackward": 
	case "ontimer":			
		if (control.value != settings.masterPrefs.emptyReferenceName) {
			box.element.setAttribute(control.name, box [control.name].url);
		}
		else {
			box.element.deleteAttribute(control.name);
		}
		break;
	// other controls go here
	default:				
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}
}
	
function setDo(control, box)
{				
	switch (control.name) {
	case "ctlDoID" : 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlDoClass" : 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlDoType":
		if (control.value == "unknown") {
			box.element.setAttribute("type", insDo.ctlDoTypeEdit.value);
			insDo.ctlDoTypeEdit.enabled = true;
			insDo.ctlDoTypeEdit.value = "";
			insDo.ctlDoTypeEdit.posx = 162;
		}
		else {
			box.element.setAttribute("type", control.value);
			insDo.ctlDoTypeEdit.value = "";
			insDo.ctlDoTypeEdit.enabled = false;
			insDo.ctlDoTypeEdit.posx = 9000;
		}
		break;
	case "ctlDoTypeEdit":
		control.value ? box.element.setAttribute("type", control.value) : box.element.deleteAttribute("type");
		break;
	case "ctlDoLabel": 
		control.value ? box.element.setAttribute("label", control.value) : box.element.deleteAttribute("label"); 
		break;
	case "ctlDoName": 
		control.value ? box.element.setAttribute("name", control.value) : box.element.deleteAttribute("name"); 
		break;
	case "ctlDoOptional": 
		control.value ? box.element.setAttribute("optional", control.value) : box.element.deleteAttribute("optional"); 
		break;
	case "ctlDoXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
	}
}

			
function setFieldset(control, box)
{					
	switch (control.name){
	case "ctlFieldSetID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlFieldSetClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlFieldSetXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;													
	case "ctlFieldSetTitle": 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title"); 
		break;					
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}
}

function setGo(control, box)
{
	switch (control.name) {
	case "ctlGoID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlGoClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;					
	case "ctlGoMethod": 
		control.value ? box.element.setAttribute("method", control.value) : box.element.deleteAttribute("method"); 
		break;		
	case "ctlGoEnctype":
		control.value ? box.element.setAttribute("enctype", control.value) : box.element.deleteAttribute("enctype");
		break;
	case "ctlGoCache":
		if (control.value == " ")
			box.element.deleteAttribute("cache-control");
		else
			box.element.setAttribute("cache-control", control.value);	
		break;		
	case "ctlGoSendref": 
		control.value ? box.element.setAttribute("sendreferer", control.value) : box.element.deleteAttribute("sendreferer"); 
		break;					
	case "ctlGoAccChar": 
		control.value ? box.element.setAttribute("accept-charset", control.value) : box.element.deleteAttribute("accept-charset"); 
		break;	
	// href required. don't delete attribute value "(EmptyReference!)"						
	case "ctlGoHref": 
		control.value ? box.element.setAttribute("href", box [control.name].url) : box.element.deleteAttribute("href");
		break;
	// href required. don't delete attribute value "(EmptyReference!)"		
	case "ctlGo11Href":
		control.value ? box.element.setAttribute("href", box ["ctlGoHref"].url) : box.element.deleteAttribute("href");
		break;					
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}				
}

function setImg(control, box)
{					
	switch (control.name) {
	case "ctlImgid": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;													
	case "ctlImgclass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;								
	case "ctlImgalt": 
		control.value ? box.element.setAttribute("alt", control.value) : box.element.deleteAttribute("alt"); 
		break;	
	// src required. don't delete attribute value "(EmptyReference!)"															
	case "ctlImgsrc": 
		control.value ? box.element.setAttribute("src", box [control.name].url) : box.element.deleteAttribute("src");
		break;							
	case "ctlImglocalsrc": 
		control.value ? box.element.setAttribute("localsrc", control.value) : box.element.deleteAttribute("localsrc"); 
		break;						
	case "ctlImgvspace": 
		control.value ? box.element.setAttribute("vspace", control.value) : box.element.deleteAttribute("vspace"); 
		break;					
	case "ctlImghspace": 
		control.value ? box.element.setAttribute("hspace", control.value) : box.element.deleteAttribute("hspace"); 
		break;					
	case "ctlImgalign": 
		control.value ? box.element.setAttribute("align", control.value) : box.element.deleteAttribute("align"); 
		break;					
	case "ctlImgheight": 
		control.value ? box.element.setAttribute("height", control.value) : box.element.deleteAttribute("height"); 
		break;					
	case "ctlImgwidth": 
		control.value ? box.element.setAttribute("width", control.value) : box.element.deleteAttribute("width"); 
		break;					
	case "ctlImgXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;													
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}
}

function setInput(control, box)
{	
	switch (control.name){
	case "ctlInputID" : 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlInputClass" : 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlInputName" : 
		control.value ? box.element.setAttribute("name", control.value) : box.element.deleteAttribute("name"); 
		break;
	case "ctlInputType" : 
		control.value ? box.element.setAttribute("type", control.value) : box.element.deleteAttribute("type");
		break;
	case "ctlInputEmptyOK" : 
		if (!document) {
			return;
		}
		var version = getWMLVersion(document);
		if (version == "1.1") {
			box.element.setAttribute("emptyok", control.value); 
		}
		else {
			if (control.value == " ") {
				box.element.deleteAttribute("emptyok");
			}
			else {
				box.element.setAttribute("emptyok", control.value);
			}
		}
		break;
	case "ctlInputSize" : 
		control.value ? box.element.setAttribute("size", control.value) : box.element.deleteAttribute("size"); 
		break;
	case "ctlInputMaxLength" : 
		control.value ? box.element.setAttribute("maxlength", control.value) : box.element.deleteAttribute("maxlength"); 
		break;
	case "ctlInputTabIndex" : 
		control.value ? box.element.setAttribute("tabindex", control.value) : box.element.deleteAttribute("tabindex"); 
		break;
	case "ctlInputXMLLang" : 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;
	case "ctlInputValue" : 
		control.value ? box.element.setAttribute("value", control.value) : box.element.deleteAttribute("value"); 
		break;
	case "ctlInputFormat" : 
		control.value ? box.element.setAttribute("format", control.value) : box.element.deleteAttribute("format"); 
		break;
	case "ctlInputTabIndex" : 
		control.value ? box.element.setAttribute("tabindex", control.value) : box.element.deleteAttribute("tabindex"); 
		break;
	case "ctlInputTitle" : 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title"); 
		break;
	case "ctlInputAccess":
		control.value ? box.element.setAttribute("accesskey", control.value) : box.element.deleteAttribute("accesskey");
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);		
		break;		
	}				
}

function setNoop(control, box)
{
	switch (control.name) {
	case "ctlNoopID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlNoopClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);		
		break;		
	}
}

function setOnevent(control, box)
{
	switch (control.name) {
	case "ctlOnEventID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlOnEventClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlOnEventType":
		if (control.value == "unknown") {
			box.element.setAttribute("type", insOnevent.ctlOnEventTypeEdit.value);
			insOnevent.ctlOnEventTypeEdit.enabled = true;
			insOnevent.ctlOnEventTypeEdit.value = "";
			insOnevent.ctlOnEventTypeEdit.posx = 170;
		}
		else {
			box.element.setAttribute("type", control.value);
			insOnevent.ctlOnEventTypeEdit.value = "";
			insOnevent.ctlOnEventTypeEdit.enabled = false;
			insOnevent.ctlOnEventTypeEdit.posx = 9000;
		}
		break;
	case "ctlOnEventTypeEdit":
		control.value ? box.element.setAttribute("type", control.value) : box.element.deleteAttribute("type");
		break;			
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}			
}

function setOption(control, box)
{	
	switch (control.name){
	case "ctlOptionID" : 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlOptionClass" : 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlOptionTitle" : 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title"); 
		break;
	case "ctlOptionValue" : 
		control.value ? box.element.setAttribute("value", control.value) : box.element.deleteAttribute("value"); 
		break;
	case "ctlOptionOnPick" :  
		control.value ? box.element.setAttribute("onpick", control.value) : box.element.deleteAttribute("onpick"); 
		break;
	case "ctlOptionXMLLang" : 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}				
}

function setOptiongroup(control, box)
{					
	switch (control.name) {
	case "ctlOptGroupID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlOptGroupClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlOptGroupXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;													
	case "ctlOptGroupTitle": 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title"); 
		break;					
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}
}

			
function setPostfield(control,box)
{
	switch (control.name) {
	case "ctlPostFieldID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlPostFieldClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlPostFieldName": 
		control.value ? box.element.setAttribute("name", control.value) : box.element.deleteAttribute("name"); 
		break;
	case "ctlPostFieldValue": 
		control.value ? box.element.setAttribute("value", control.value) : box.element.deleteAttribute("value"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);	
		break;			
	}
}

function setPre(control, box)
{
	switch (control.name) {
	case "ctlPreXmlSpace":
		control.value ? box.element.setAttribute("xml:space", control.value) : box.element.deleteAttribute("xml:space"); 
		break;
	case "ctlPreID":
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id");
		break;
	case "ctlPreClass":
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class");
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);	
		break;			
	}
}

function setPrev(control, box)
{
	switch (control.name){
	case "ctlPrevID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlPrevclass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name,  control.value) : box.element.deleteAttribute(control.name);			
		break;	
	}
}	

function setRefresh(control, box)
{
	switch (control.name) {
	case "ctlRefreshclass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;					
	case "ctlRefreshID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);		
		break;		
	}	
}

function setSelect(control, box)
{	
	switch (control.name){
	case "ctlSelectID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlSelectClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class");
		break;
	case "ctlSelectName": 
		control.value ? box.element.setAttribute("name", control.value) : box.element.deleteAttribute("name"); 
		break;
	case "ctlSelectMultiple": 
		control.value ? box.element.setAttribute("multiple", control.value) : box.element.deleteAttribute("multiple"); 
		break;
	case "ctlSelectTabIndex": 
		control.value ? box.element.setAttribute("tabindex", control.value) : box.element.deleteAttribute("tabindex"); 
		break;
	case "ctlSelectTitle": 
		control.value ? box.element.setAttribute("title", control.value) : box.element.deleteAttribute("title"); 
		break;
	case "ctlSelectValue": 
		control.value ? box.element.setAttribute("value", control.value) : box.element.deleteAttribute("value"); 
		break;
	case "ctlSelectiname": 
		control.value ? box.element.setAttribute("iname", control.value) : box.element.deleteAttribute("iname"); 
		break;
	case "ctlSelectivalue": 
		control.value ? box.element.setAttribute("ivalue", control.value) : box.element.deleteAttribute("ivalue");
		break;
	case "ctlSelectXMLLang": 
		control.value ? box.element.setAttribute("xml:lang", control.value) : box.element.deleteAttribute("xml:lang"); 
		break;
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);	
		break;			
	}			
}

function setSetvar(control, box)
{					
	switch (control.name) {
	case "ctlSetvarID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlSetvarClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlSetvarName": 
		control.value ? box.element.setAttribute("name", control.value) : box.element.deleteAttribute("name");
		break;					
	case "ctlSetvarValue": 
		control.value ? box.element.setAttribute("value", control.value) : box.element.deleteAttribute("value");
		break;					
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);	
		break;			
	}
}
					
function setTemplate (control, box)
{				
	switch (control.name) {
	case "ctlTemplateID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlTemplateClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlTemplateOnEnterForward": 
		if (control.value != settings.masterPrefs.emptyReferenceName) {
			box.element.setAttribute("onenterforward", box [control.name].url);
		}
		else {
			box.element.deleteAttribute("onenterforward");
		}
		break;
	case "ctlTemplateOnEnterBackward": 
		if (control.value != settings.masterPrefs.emptyReferenceName) {
			box.element.setAttribute("onenterbackward", box [control.name].url);
		}
		else {
			box.element.deleteAttribute("onenterbackward");
		}
		break;
	case "ctlTemplateOnTimer":	
		if (control.value != settings.masterPrefs.emptyReferenceName) {
			box.element.setAttribute("ontimer", box [control.name].url);
		}
		else {
			box.element.deleteAttribute("ontimer");
		}
		break;	
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);	
		break;			
	}
}

function setTimer(control, box)
{
	switch (control.name) {
	case "ctlTimerID": 
		control.value ? box.element.setAttribute("id", control.value) : box.element.deleteAttribute("id"); 
		break;
	case "ctlTimerClass": 
		control.value ? box.element.setAttribute("class", control.value) : box.element.deleteAttribute("class"); 
		break;
	case "ctlTimerName": 
		control.value ? box.element.setAttribute("name", control.value) : box.element.deleteAttribute("name"); 
		break;													
	case "ctlTimerValue": 
		control.value ? box.element.setAttribute("value", control.value) : box.element.deleteAttribute("value"); 
		break;					
	default: 
		control.value ? box.element.setAttribute(control.name, control.value) : box.element.deleteAttribute(control.name);
		break;
	}
}				